import QtQuick
import QtQuick.Window
import QtQuick.Controls.Material

import "." as App


ApplicationWindow {
    width: Screen.width/2
    height: Screen.height/2
    minimumHeight: 400
    minimumWidth: 400
    visible: true
    title: "Scorganizr"

    Material.theme: Material.System
    Material.accent: Material.Blue

    Page {
        id: window
        anchors.fill: parent

        Keys.onPressed: (event)=> {
            if (event.key === Qt.Key_1) tabBar.currentIndex = 0;
            if (event.key === Qt.Key_2) tabBar.currentIndex = 1;
            if (event.key === Qt.Key_3) tabBar.currentIndex = 2;
            if (event.key === Qt.Key_4) tabBar.currentIndex = 3;
            if (event.key === Qt.Key_5) tabBar.currentIndex = 4;
        }
        focus: true

        SwipeView {
            id: swipeView
            anchors.fill: parent
            currentIndex: tabBar.currentIndex

            NotesPage {}

            Repeater {
                model: 4

                Pane {
                    width: SwipeView.view.width
                    height: SwipeView.view.height

                    SiteInConstruction {}
                }
            }
        }

        footer: TabBar {
            id: tabBar
            currentIndex: swipeView.currentIndex

            TabButton {
                text: qsTr("Notes")
            }
            TabButton {
                text: qsTr("Grades")
            }
            TabButton {
                text: qsTr("Tasks")
            }
            TabButton {
                text: qsTr("Calendar")
            }
            TabButton {
                text: qsTr("Learn")
            }
        }
    }
}
